processing.app

## Class Settings

- Object
- - Settings

-     public class Settings
      extends Object

  Storage class for theme settings. This was separated from the Preferences class for 1.0 so that the coloring wouldn't conflict with previous releases and to make way for future ability to customize.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `Settings(File file)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `get(String attribute)`
    `boolean` | `getBoolean(String attribute)`
    `Color` | `getColor(String attribute)`
    `String` | `getDefault(String attribute)`
    `Font` | `getFont(String attr)`
    `int` | `getInteger(String attribute)`
    `void` | `load()`
    `void` | `load(File additions)`
    `void` | `save()`
    `void` | `set(String attribute, String value)`
    `void` | `setBoolean(String attribute, boolean value)`
    `void` | `setColor(String attr, Color what)`
    `void` | `setInteger(String key, int value)`

    - ### Methods inherited from class Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Settings

          public Settings(File file)
                   throws IOException

      Throws:
        `IOException`

  - ### Method Detail

    - #### load

          public void load()

    - #### load

          public void load(File additions)

    - #### save

          public void save()

    - #### get

          public String get(String attribute)

    - #### getDefault

          public String getDefault(String attribute)

    - #### set

          public void set(String attribute,
                          String value)

    - #### getBoolean

          public boolean getBoolean(String attribute)

    - #### setBoolean

          public void setBoolean(String attribute,
                                 boolean value)

    - #### getInteger

          public int getInteger(String attribute)

    - #### setInteger

          public void setInteger(String key,
                                 int value)

    - #### getColor

          public Color getColor(String attribute)

    - #### setColor

          public void setColor(String attr,
                               Color what)

    - #### getFont

          public Font getFont(String attr)